# TdApi.MessageProximityAlertTriggered (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: MessageProximityAlertTriggered

Package it.tdlight.jni

# Class TdApi.MessageProximityAlertTriggered

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageContent
it.tdlight.jni.TdApi.MessageProximityAlertTriggered

Enclosing class:
  TdApi

    public static class TdApi.MessageProximityAlertTriggered
    extends TdApi.MessageContent

A user in the chat came within proximity alert range.

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`static int` | `CONSTRUCTOR` |
`int` | `distance` | The distance between the users.
`TdApi.MessageSender` | `traveler` | The user or chat, which triggered the proximity alert.
`TdApi.MessageSender` | `watcher` | The user or chat, which subscribed for the proximity alert.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`MessageProximityAlertTriggered()` | A user in the chat came within proximity alert range.
`MessageProximityAlertTriggered​(TdApi.MessageSender traveler, TdApi.MessageSender watcher, int distance)` | A user in the chat came within proximity alert range.
`MessageProximityAlertTriggered​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### traveler

public TdApi.MessageSender traveler
The user or chat, which triggered the proximity alert.

### watcher

public TdApi.MessageSender watcher
The user or chat, which subscribed for the proximity alert.

### distance

public int distance
The distance between the users.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### MessageProximityAlertTriggered

public MessageProximityAlertTriggered()
A user in the chat came within proximity alert range.

### MessageProximityAlertTriggered

public MessageProximityAlertTriggered​(TdApi.MessageSender traveler, TdApi.MessageSender watcher, int distance)
A user in the chat came within proximity alert range.

Parameters:
  `traveler` - MessageSender The user or chat, which triggered the proximity alert.
  `watcher` - MessageSender The user or chat, which subscribed for the proximity alert.
  `distance` - int The distance between the users.

### MessageProximityAlertTriggered

public MessageProximityAlertTriggered​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`